HostingImports
List imports
GET
/api/importsReturns CSV imports for the authenticated user.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
customer_code?string
Customer code to filter imports by. Admin only.
status?string
Import status filter.
all= include every import status.validating= validation is running.invalid= validation failed.valid= validation succeeded.valid_with_skipped= validation succeeded after skipping invalid rows.
Values
all | validating | invalid | valid | valid_with_skippedpage?integer
Page number
Format
int32Default 1per?integer
Results per page
Format
int32Default 25query?string
Search query
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/imports" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"status": "validating",
"status_detail": "string",
"expert_mode": true,
"code": "string",
"type": "domains",
"csv_file_name": "string",
"csv_file_size": 0,
"original_csv_file_name": "string",
"created_at": "string",
"owner": "string",
"error_details": [
null
],
"resources": 0
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}